Bug 968777 - SELinux is preventing systemd from 'read' accesses on the directory nodes.
SELinux is preventing systemd from 'read' accesses on the directory nodes.
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-29 21:19 EDT by Moez Roy
Modified: 2013-06-14 23:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-52.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-14 23:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Moez Roy 2013-05-29 21:19:27 EDT
Description of problem:
SELinux is preventing systemd from 'read' accesses on the directory nodes.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemd should be allowed read access on the nodes directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep systemd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:object_r:iscsi_var_lib_t:s0
Target Objects                nodes [ dir ]
Source                        systemd
Source Path                   systemd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-47.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-300.fc19.x86_64 #1 SMP Fri
                              May 24 22:17:06 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-05-29 21:15:42 EDT
Last Seen                     2013-05-29 21:15:42 EDT
Local ID                      84f16320-0151-494e-b44d-e9a04358d5f9

Raw Audit Messages
type=AVC msg=audit(1369876542.565:465): avc:  denied  { read } for  pid=1 comm="systemd" name="nodes" dev="sda2" ino=1835226 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:iscsi_var_lib_t:s0 tclass=dir

Hash: systemd,init_t,iscsi_var_lib_t,dir,read

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-300.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-06-04 16:51:41 EDT
eab568b1bc7a66274014cd636d859de1a71c3453 fixes this in git.
Comment 2 Fedora Update System 2013-06-14 03:23:22 EDT
selinux-policy-3.12.1-52.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-06-14 23:06:28 EDT
selinux-policy-3.12.1-52.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.